### Method

# Handy Carousel insert

since: 1.0

#### Declaration [src]

    void
    hdy_carousel_insert (
      HdyCarousel* self,
      GtkWidget* child,
      gint position
    )

#### Description [src]

Inserts `child` into `self` at position `position`.

If position is -1, or larger than the number of pages, `child` will be appended to the end.

Available since: 1.0

#### Parameters

`child`

  Type: `GtkWidget`

  A widget to add.

  The data is owned by the caller of the method.

`position`

  Type: `gint`

  The position to insert `child` in.